# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "aristech-stt-client"
version = "3.1.2"
authors = ["Martin Mende"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust client library for the Aristech Speech-to-Text API"
homepage = "https://github.com/aristech-de/stt-clients/blob/main/rust/README.md"
readme = "README.md"
keywords = [
    "speech-recognition",
    "speech-to-text",
    "real-time",
    "streaming",
    "client-library",
]
categories = [
    "api-bindings",
    "multimedia::audio",
]
license = "MIT"
repository = "https://github.com/aristech-de/stt-clients"

[lib]
name = "aristech_stt_client"
path = "src/lib.rs"

[[example]]
name = "account"
path = "examples/account.rs"

[[example]]
name = "file"
path = "examples/file.rs"

[[example]]
name = "live"
path = "examples/live.rs"

[[example]]
name = "models"
path = "examples/models.rs"

[[example]]
name = "nlpFunctions"
path = "examples/nlpFunctions.rs"

[[example]]
name = "nlpProcess"
path = "examples/nlpProcess.rs"

[dependencies.base64]
version = "0.22.1"

[dependencies.hound]
version = "3.5.1"

[dependencies.prost]
version = "0.14.1"

[dependencies.prost-types]
version = "0.14.1"

[dependencies.tokio]
version = "1.47.1"
features = [
    "macros",
    "rt-multi-thread",
]

[dependencies.tokio-stream]
version = "0.1.17"

[dependencies.tonic]
version = "0.14.1"
features = [
    "tls-ring",
    "tls-native-roots",
    "gzip",
]

[dependencies.tonic-prost]
version = "0.14.1"

[dev-dependencies.cpal]
version = "0.16.0"

[dev-dependencies.dotenv]
version = "0.15.0"

[build-dependencies.tonic-prost-build]
version = "0.14.1"
